/**
 * Alert function
 */

var Alert = function (message) {
    $('.alert').html('<strong>Успешно!</strong> ' + message);
    $('.alert').slideDown();

    setTimeout(function() {
        $('.alert').slideUp();
    }, 1500)
}

/**
 * Ajax function
 */


var Ajax = function (action, parametrs) {
    return $.ajax({
        url: '/api/' + action,
        type: 'POST',
        dataType: 'json',
        data: parametrs,
        success: function (data) {
            if (data.success) {
                console.info('Успешный запрос к серверу !')
            } else {
                console.error('Ошибка при сохранении !')
            }
        },
        error: function () {
            console.warn('Ошибка при запросе к серверу !');
        }
    });
};

/**
 * Admin Functions
 */

var Functions = {
    UpdateUserBalance: function (id, balance) {
        Ajax('user', {action: "updateBalance", user: id, balance: balance}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateUserRole: function (id, role) {
        Ajax('user', {action: "updateRole", user: id, role: role}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateUserReferralCode: function (id, code) {
        Ajax('user', {action: "updateCode", user: id, code: code}).done(function (data) {
            Alert(data.message);
        });
    },
    DeleteUser: function (id) {
        Ajax('user', {action: "delete", user: id}).done(function (data) {
            Alert(data.message);
            $('.user-' + id).remove();
        });
    },
    AddItem: function () {
        var name = $('#addItem #name').val();
        var image = $('#addItem #image').val();
        var digital = $('#addItem #digital').val();
        var cost = $('#addItem #cost').val();
        var chance = $('#addItem #chance').val();

        Ajax('item', {action: "create", name: name, image: image, digital: digital, cost: cost, chance: chance}).done(function (data) {
            location.reload();
            Alert(data.message);
        });
    },
    UpdateItemName: function (id, name) {
        Ajax('item', {action: "updateName", item: id, name: name}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateItemCost: function (id, cost) {
        Ajax('item', {action: "updateCost", item: id, cost: cost}).done(function (data) {
            Alert(data.message);
        });
    },
    DeleteItem: function (id) {
        Ajax('item', {action: "delete", item: id}).done(function (data) {
            Alert(data.message);
            $('.item-' + id).remove();
        });
    },
	AddTicket: function () {
        var name = $('#addCase #name').val();
        var price = $('#addCase #price').val();
        var winsum = $('#addCase #winsum').val();
        var places = $('#addCase #places').val();


        Ajax('ticket', {action: "create", name: name,  price: price, winsum: winsum, places: places}).done(function (data) {
            location.reload();
            Alert(data.message);
        });
    },
    UpdateTicketName: function (id, name) {
        Ajax('ticket', {action: "updateName", ticket: id, name: name}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateTicketRound: function (id, round) {
        Ajax('ticket', {action: "updateRound", ticket: id, round: round}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateTicketPrice: function (id, price) {
        Ajax('ticket', {action: "updatePrice", ticket: id, price: price}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateTicketWinsum: function (id, winsum) {
        Ajax('ticket', {action: "updateWinsum", ticket: id, winsum: winsum}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateTicketPlaces: function (id, places) {
        Ajax('ticket', {action: "updatePlaces", ticket: id, places: places}).done(function (data) {
            Alert(data.message);
        });
    },
    DeleteTicket: function (id) {
        Ajax('ticket', {action: "delete", ticket: id}).done(function (data) {
            Alert(data.message);
            $('.case-' + id).remove();
        });
    },
	
    AddCase: function () {
        var name = $('#addCase #name').val();
        var position = $('#addCase #position').val();
        var price = $('#addCase #price').val();
        var discount = $('#addCase #discount').val();
        var items = $('#addCase #items').val();
        var image = $('#addCase #image').val();
        var background_image = $('#addCase #background-image').val();
        var type = $('#addCase #type').val();

        Ajax('case', {action: "create", name: name, position: position, price: price, discount: discount, items: items, image: image, background_image: background_image, type: type}).done(function (data) {
            location.reload();
            Alert(data.message);
        });
    },
    UpdateCaseName: function (id, name) {
        Ajax('case', {action: "updateName", case: id, name: name}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCasePosition: function (id, position) {
        Ajax('case', {action: "updatePosition", case: id, position: position}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCasePrice: function (id, price) {
        Ajax('case', {action: "updatePrice", case: id, price: price}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCaseDiscount: function (id, discount) {
        Ajax('case', {action: "updateDiscount", case: id, discount: discount}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCaseChance: function (id, chance) {
        Ajax('case', {action: "updateChance", case: id, chance: chance}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCaseItems: function (id, items) {
        Ajax('case', {action: "updateItems", case: id, items: items}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateCaseType: function (id, type) {
        Ajax('case', {action: "updateType", case: id, type: type}).done(function (data) {
            Alert(data.message);
        });
    },
    DeleteCase: function (id) {
        Ajax('case', {action: "delete", case: id}).done(function (data) {
            Alert(data.message);
            $('.case-' + id).remove();
        });
    },
    AddDigital: function () {
        var name = $('#addDigital #name').val();
        var code = $('#addDigital #code').val();

        Ajax('digital', {action: "create", name: name, code: code}).done(function (data) {
            location.reload();
            Alert(data.message);
        });
    },
    UpdateDigitalName: function (id, name) {
        Ajax('digital', {action: "updateName", digital: id, name: name}).done(function (data) {
            Alert(data.message);
        });
    },
    UpdateDigitalCode: function (id, code) {
        Ajax('digital', {action: "updateCode", digital: id, code: code}).done(function (data) {
            Alert(data.message);
        });
    },
    DeleteDigital: function (id) {
        Ajax('digital', {action: "delete", digital: id}).done(function (data) {
            Alert(data.message);
            $('.digital-' + id).remove();
        });
    },
    UpdateWithdrawStatus: function (id, status) {
        Ajax('withdraw', {action: "updateStatus", id: id, status: status}).done(function (data) {
            Alert(data.message);
        });
    },
}