/**
 * Developed by Nikita Lebedev
 *
 * Contact: vk.com/strixoffical
 *
 */


$(document).ready(function () {
 $('.buttons').on('click', '.balance-button', function() {
        var input = $('.amount');
        switch ($(this).data('action')) {
            case 'clear':
                input.val('');
                break;
            case 'min':
                input.val('0.01');
                break;
            case 'max':
                input.val(parseFloat($("#user-balance").text()));
                break;
            case '+1':
                if (isNaN(parseFloat(input.val()))) input.val(0);
                input.val(parseFloat(input.val()) + 1);
                break;
            case '+10':
                if (isNaN(parseFloat(input.val()))) input.val(0);
                input.val(parseFloat(input.val()) + 10);
                break;
            case '+100':
                if (isNaN(parseFloat(input.val()))) input.val(0);
                input.val(parseFloat(input.val()) + 100);
                break;
            case '1/2':
                if (isNaN(parseFloat(input.val()))) input.val(0);
                input.val(Math.floor(parseInt(parseInt(input.val())) / 2));
                break;
            case 'x2':
                if (isNaN(parseFloat(input.val()))) input.val(0);
                input.val(parseFloat(parseInt(input.val()) * 2));
                break;
        }
    });
    /**
     * Tabs switch
     */

    $(".tab").click(function () {
        var tabId = $(this).data("tab-id");
        $(".tab-container").fadeOut(0);
        $(".tab-container-" + tabId).fadeIn(500);
        $(".tab").removeClass("active");
        $(".tab-" + tabId).addClass("active");
    });

    /**
     * Responsive navigation
     */

    $(".nav-button").click(function () {

        var status = $(".nav ul").css("display");

        if (status == 'none') {
            $(".nav ul").fadeIn(0);
        } else {
            $(".nav ul").fadeOut(100);
        }
    });

    /**
     * Chance switch
     */

    if (($(".lcs_check").length > 0)) {

        $('.lcs_check').lc_switch();

        $('body').delegate('.lcs_check', 'lcs-statuschange', function () {
            var status = ($(this).is(':checked')) ? 'checked' : 'unchecked';
            var value = ($(this).is(':checked')) ? $(this).data('lcs') : 0;
            var visual_value = ($(this).is(':checked')) ? $(this).val() : 0;


            if (status == 'checked') {
                spin_chance = value;
                $(".lcs_check").lcs_off();
            }

            window.spin_chance = value;

            var total = parseInt(visual_value) + parseInt(window.spin_amount);

            $("#spin-amount").text(total);
        });
    }


    /**
     * Cases animation
     */

    if ($('.case-grid').length > 0) {

        var item = document.querySelectorAll('.case-grid');

        (function animate(counter) {
            setTimeout(function () {
                item[counter].classList.add('show');
                counter++;
                if (counter < item.length) animate(counter);
            }, 150);
        })(0);
    }

    /**
     * Update live drop
     */

    Functions.LiveDrop();

});

/**
 * Site variables
 */

var Variables = {
    CaseFilters: [0, 0, 0],
    RoundOptions: new Array,
    RouletteObject: new Array,
}

/**
 * Sockets connect
 */

var socket = io(':8880');

socket.on('new_drop', function (data) {

    var csns = $.animateNumber.numberStepFactories.separator(',');

    var html = '<div class="b"><div class="winner-box eas"><div class="winner eas"><a href="/profile/' + data.user.id + '"><img src="' + data.user.photo + '" alt="' + data.user.id + '"></a></div></div><img src="' + data.item.image + '" alt="150"></div>';

    $("#live-prize-box").prepend(html);
    $('#live-prize-box .b').last().remove();

    $('#st-cases').animateNumber({number: data.cases, numberStep: csns}, 500);

});

socket.on('online', function (data) {
    var csns = $.animateNumber.numberStepFactories.separator(',');

    $('#st-online').animateNumber({ number: data, numberStep: csns }, 500);
});


/**
 * Ajax function
 */

var Ajax = function (action, parametrs) {
    return $.ajax({
        url: '/api/' + action,
        type: 'POST',
        dataType: 'json',
        data: parametrs,
        success: function (data) {
            if (data.success) {
                return data;
            } else {
                smoke.alert(data.message);
                return false;
            }
        },
        error: function () {
            smoke.alert('Ошибка при запросе к серверу !');
        }
    });
};

/**
 * All functions site
 */
var moving= false;
var Functions = {
	_dice: $('#dice'),
	moving: false,
    UpdateBalance: function (balance) {
        $("#user-balance").text(parseFloat($("#user-balance").text()) + parseFloat(balance));

        if (($("#u-balance-field").length > 0)) {
            $("#u-balance-field").text(parseFloat($("#u-balance-field").text()) + parseFloat(balance));
        }
    },
    NewBalance: function (balance) {
        $("#user-balance").text(parseFloat(balance));

        if (($("#u-balance-field").length > 0)) {
            $("#u-balance-field").text(parseFloat(balance));
        }
    },
	diceRoll: function(i, again) {
		
            var rotateXnow = $('#dice').data('rotatex');
            var rotateYnow = $('#dice').data('rotatey');
            again = again || 3;

            if (again > 1) {
                rotateXnow = rotateXnow + 270;
                rotateYnow = rotateYnow + 270;
                $('#dice')
                    .css("transform", "rotateX(" + rotateXnow + "deg) rotateY(" + rotateYnow + "deg)")
                    .data('rotatex', rotateXnow)
                    .data('rotatey', rotateYnow);
                setTimeout(this.diceRoll.bind(this), 500, i, again - 1);
            } else {
                var rotate = {
                    1: {x: 270, y: 0, n: 6},
                    2: {x: 0, y: 0, n: 4},
                    3: {x: 0, y: 270, n: 5},
                    4: {x: 0, y: 180, n: 2},
                    5: {x: 0, y: 90, n: 3},
                    6: {x: 90, y: 180, n: 1}
                };

                var rotateX = Math.ceil(rotateXnow / 360) * 360 + (parseInt(rotate[i].x));
                var rotateY = Math.ceil(rotateYnow / 360) * 360 + (parseInt(rotate[i].y));
                $('#dice')
                    .css("transform", "rotateX(" + rotateX + "deg) rotateY(" + rotateY + "deg)")
                    .data('rotatex', rotateX)
                    .data('rotatey', rotateY);
                setTimeout(this.restart.bind(this), 600);
            }
        },
		roll: function(number) {
            moving = true;
            this.diceRoll(number);
        },
		restart: function() {
            moving = false;
        },
		
    LiveDrop: function () {

        Ajax('liveDrop').done(function (data) {
            if (window.last_live != data.last) {

                window.last_live = data.last;

                var live_drops = '';

                $.each(data.live, function (index, element) {
                    live_drops += '<div class="b"><div class="winner-box eas"><div class="winner eas"><a href="/profile/' + element.user.id + '"><img src="' + element.user.photo + '" alt="' + element.user.id + '"></a></div></div><img src="' + element.item.image + '" alt="150"></div>';
                });

                $("#live-prize-box").html(live_drops);

            }
        });

    },
    SetFilters: function (name, filter, type, button) {

        if (name == 'type') {

            $(".case-type-x").removeClass("active");
            $(button).addClass("active");

            Variables.CaseFilters[0] = filter;
        } else if (name == 'price') {

            $(".case-price-x").removeClass("active");

            $(button).addClass("active");

            Variables.CaseFilters[1] = filter;
            Variables.CaseFilters[2] = type;
        }

        $(".case-grid").fadeOut(0);
        $(".case-grid").addClass('hidden');

        if (Variables.CaseFilters[0] == 0 && Variables.CaseFilters[1] == 0) {
            $(".case-grid").fadeIn(0);
            $(".case-grid").removeClass('hidden');
        } else if (Variables.CaseFilters[0] == 0 && Variables.CaseFilters[1] != 0) {
            $("[data-case-pricef='" + Variables.CaseFilters[1] + "'][data-case-pricet='" + Variables.CaseFilters[2] + "']").fadeIn(0);
            $("[data-case-pricef='" + Variables.CaseFilters[1] + "'][data-case-pricet='" + Variables.CaseFilters[2] + "']").removeClass('hidden');
        } else if (Variables.CaseFilters[0] != 0 && Variables.CaseFilters[1] == 0) {
            $("[data-case-type='" + Variables.CaseFilters[0] + "']").fadeIn(0);
            $("[data-case-type='" + Variables.CaseFilters[0] + "']").removeClass('hidden');
        } else {
            $("[data-case-type='" + Variables.CaseFilters[0] + "'][data-case-pricef='" + Variables.CaseFilters[1] + "'][data-case-pricet='" + Variables.CaseFilters[2] + "']").fadeIn(0);
            $("[data-case-type='" + Variables.CaseFilters[0] + "'][data-case-pricef='" + Variables.CaseFilters[1] + "'][data-case-pricet='" + Variables.CaseFilters[2] + "']").removeClass('hidden');
        }

        if ($(".case-grid:not(.hidden)").length < 1) {
            $(".case-empty").fadeIn(0);
        } else {
            $(".case-empty").fadeOut(0);
        }

    },
    RedeemCode: function (code, button, loader) {

        $(loader).fadeIn(100);

        Ajax('referral', {code: $(code).val()}).done(function (data) {

            smoke.alert(data.message);

            $(code).attr("disabled", "disabled");
            $(button).remove();
        }).done(function () {
            $(loader).fadeOut(500);
        });

    },
    PopupClose: function (id) {
        $(id + " .popup-container").animate({
            top: "60%"
        }, 500, function () {

            $(id).fadeOut(500);

            $(id + " .popup-container").animate({
                top: "-300%"
            }, 500, function () {

            });
        });
    },
    PopupOpen: function (id) {
        $(id + " .popup-container").css("top", "200%");
        $(id).fadeIn(300);

        $(id + " .popup-container").animate({
            top: "40%"
        }, 500, function () {

            $(".popup-container").animate({
                top: "50%"
            }, 500, function () {

            });
        });
    },
    ClearAnimation: function () {
        location.reload();
    },
	BetDice: function (number) {
		    var sum =  parseFloat($(".amount").val())
			if (sum >=10) Functions.UpdateBalance(-1 * sum);
        Ajax('betDice', {number: number,sum: sum}).done(function (data) {
			if (data.number) { 
Functions.roll(data.number,data.balance);
			}
			if (data.balance) { 
			Functions.NewBalance(data.balance)
			}
		});	
    },
	SetPlace: function (id,round,place,user) {

        Ajax('setPlace', {id: id, round: round,place: place,user: user}).done(function (data) {
			if (data.user) { 
setTimeout(location.reload(), 2000);	
			}
		});	
    },
	OpenBonus: function (case_id, button) {

        var caseButton = $(button);
        var casePrice = parseFloat($("#spin-amount").text());
        var caseButtonText = $(button).html();
        var caseLoader = $("#game-" + case_id + " .loading");
        var caseChance = window.spin_chance;

        var otherButtons = $(".three .btn");

        caseButton.text("Открываем кейс...");
        caseButton.attr("disabled", "disabled");

        Ajax('openBonus', {case: case_id, chance: caseChance}).done(function (data) {
            if (data.item) {

                var gift_img = 0;
                var winner_item = 0;

                $.each($('.roulette img'), function () {

                    var gift = parseInt($(this).attr("id").split('gift-id-')[1]);

                    gift_img++;

                    if (gift == data.item.id) {
                        winner_item = gift_img - 1;
                    }
                });

                Variables.RoundOptions[case_id] = {
                    speed: 24,
                    duration: 1,
                    stopImageNumber: winner_item,
                    stopCallback: function () {

                        var startNewGame = setTimeout(function () {

                            caseButton.html(caseButtonText);
                            caseButton.removeAttr("disabled");

                            Functions.NewBalance(data.balance);

                            $("#spin-win-name").html(data.item.name);
                            $("#spin-win-icon").attr("src", data.item.image);

                            $(".spin-won h4").fadeOut(0);

                            $(".spin-won").fadeIn(300);
                            $(".history-cases").fadeOut(0);
                            $(".case-page-title").fadeOut(0);

                            socket.emit('new_drop');

                        }, 1000);
                    }
                }


                if (Variables.RouletteObject[case_id] == undefined || Variables.RouletteObject[case_id] == 'undefined') {
                    Variables.RouletteObject[case_id] = $(".roulette").roulette(Variables.RoundOptions[case_id]);
                } else {
                    Variables.RouletteObject[case_id].roulette('option', Variables.RoundOptions[case_id]);
                }

                Variables.RouletteObject[case_id].roulette('start');
            } else {
                caseButton.html(caseButtonText);
                caseButton.removeAttr("disabled");
            }

        });
    },
    OpenCase: function (case_id, button) {

        var caseButton = $(button);
        var casePrice = parseFloat($("#spin-amount").text());
        var caseButtonText = $(button).html();
        var caseLoader = $("#game-" + case_id + " .loading");
        var caseChance = window.spin_chance;

        var otherButtons = $(".three .btn");

        caseButton.text("Открываем кейс...");
        caseButton.attr("disabled", "disabled");

        Ajax('openCase', {case: case_id, chance: caseChance}).done(function (data) {
            if (data.item) {

                var gift_img = 0;
                var winner_item = 0;

                $.each($('.roulette img'), function () {

                    var gift = parseInt($(this).attr("id").split('gift-id-')[1]);

                    gift_img++;

                    if (gift == data.item.id) {
                        winner_item = gift_img - 1;
                    }
                });

                Variables.RoundOptions[case_id] = {
                    speed: 24,
                    duration: 1,
                    stopImageNumber: winner_item,
                    startCallback: function () {
                        Functions.UpdateBalance(-1 * casePrice);
                    },
                    stopCallback: function () {

                        var startNewGame = setTimeout(function () {

                            caseButton.html(caseButtonText);
                            caseButton.removeAttr("disabled");

                            Functions.NewBalance(data.balance);

                            $("#spin-win-name").html(data.item.name);
                            $("#spin-win-icon").attr("src", data.item.image);

                            $(".spin-won h4").fadeOut(0);

                            $(".spin-won").fadeIn(300);
                            $(".history-cases").fadeOut(0);
                            $(".case-page-title").fadeOut(0);

                            socket.emit('new_drop');

                        }, 1000);
                    }
                }


                if (Variables.RouletteObject[case_id] == undefined || Variables.RouletteObject[case_id] == 'undefined') {
                    Variables.RouletteObject[case_id] = $(".roulette").roulette(Variables.RoundOptions[case_id]);
                } else {
                    Variables.RouletteObject[case_id].roulette('option', Variables.RoundOptions[case_id]);
                }

                Variables.RouletteObject[case_id].roulette('start');
            } else {
                caseButton.html(caseButtonText);
                caseButton.removeAttr("disabled");
            }

        });
    },

    ChangePaymentMethod: function (payment, holder) {
        $(".payment-method").removeClass("active");
        $(".pm-" + payment).addClass("active");

        $("#form-deposit").prop("action", "/payment");
        $("#withdrawal-type-field").val(payment);

        if (holder != undefined) {
            document.getElementsByClassName('PurseHolder')[0].placeholder = holder;
        }
    },
    DepositNow: function () {
        $("#form-deposit").submit();
    },
    WithdrawNow: function () {

        var WithdrawForm = 'form[name="form-withdrawal"]';
        var WithdrawData = $(WithdrawForm).serialize();

        var Loader = WithdrawForm + ' .loader';

        $(Loader).fadeIn(100);

        $.post("/payment/withdraw", WithdrawData, function (data) {

            data = JSON.parse(data);

            if (data.success) {
                smoke.alert(data.message);
                Functions.NewBalance(data.balance)
                popupClose('#withdrawal');
            } else {
                smoke.alert(data.message);
            }

        }).done(function(){
            $(Loader).fadeOut(500);
        });
    },
    GetGift: function (id, name, amount) {
        var Loader = $("#history-case-" + id + " .loader");
        var Button = $("#history-case-" + id + " .button");
        var Icon = $("#history-case-" + id + " .status span");

        Loader.fadeIn(0);

        smoke.confirm("Вы хотите получить <b>" + name + "</b> или <b>" + amount + "р на баланс?</b>", function (e) {
            if (e) {

                Loader.fadeOut(300);
                window.shipping_gift_id = id;

                $("#gift-shipping").fadeIn(100);

            } else {
                Ajax('getDigital', {id: id, type: 1}).done(function (data) {

                    if (data.success) {
                        smoke.alert(data.message);
                        Functions.NewBalance(data.balance);
                        Button.remove();
                        Icon.removeClass("flaticon-wait").addClass("flaticon-check");
                    } else {
                        smoke.alert(data.message);
                    }

                    Loader.fadeOut(300);
                })
            }
        }, {
            ok: "Получить приз",
            cancel: amount + "р на баланс",
            classname: "custom-class",
            reverseButtons: true
        });
    },
    ShipGift: function (form_name) {

        var ShippingForm = 'form[name="' + form_name + '"]';

        var ID = window.shipping_gift_id;

        var Name = $('#name', ShippingForm).val();
        var Telephone = $('#telephone', ShippingForm).val();
        var Email = $('#email', ShippingForm).val();
        var Address = $('#address', ShippingForm).val();

        var Button = $("#history-case-" + ID + " .button");
        var Icon = $("#history-case-" + ID + " .status span");

        console.log(ID);

        $(ShippingForm + ' .loader').fadeIn(100);

        Ajax('getDigital', {id: ID, type: 2, name: Name, telephone: Telephone, email: Email, address: Address}).done(function (data) {

            if (data.success) {
                smoke.alert(data.message);
                Button.remove();
                Icon.removeClass("flaticon-wait").addClass("flaticon-check");
                $("#gift-shipping").fadeOut(0);
            }
            else {
                smoke.alert(data.message);
            }

            $(ShippingForm + ' .loader').fadeOut(100);

        });
    },
    CreateTicket: function () {
        var ticketForm = 'form[name="form-support"]';
        var ticketData = $(ticketForm).serialize();

        $(ticketForm + ' .loader').fadeIn(100);

        Ajax('support', ticketData).done(function (data) {

            if (data.success) {
                $(ticketForm).html('<div class="infobox">' + data.message + '</div>');
            } else {
                smoke.alert(data['message']);
            }

            $(ticketForm + ' .loader').fadeOut(100);

        }).done(function () {
            $(ticketForm + ' .loader').fadeOut(1000);
        });

    }
}